*, *::before, *::after {
	box-sizing: border-box;
}

:root {
    font-family: "Poppins", Arial, sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    --achtergrond: oklch(0.6929 0.181681 50.5765);
    --hover: oklch(0.79 0.3054 60.99);
    --bg: oklch(0.9759 0.0029 264.54);
    --rood: oklch(0.5735 0.2812 25.41)
}

label,
fieldset,
input[type=submit] {
    margin-block-start: 3rem;
    cursor: pointer;
}

input, fieldset, textarea, select {
    border: 1px solid #666;
    border-radius: .3rem;
}

input:not([type=radio]):not([type=checkbox]):not([type=submit]),
select,
textarea {
    display: block;
    width: 100%;
    max-width: 40rem;
    padding: 0 .75em;
    line-height: 2em;
}

input[type=submit] {
    padding: .5em 2em;
}

select {
    padding-block: .5rem;
}

label {
    display: block;
    margin-block-end: .2em;
}

legend,
label {
    font-weight: bold;
}

legend {
    padding: 0 .2em;
}

input[type=radio] + label,
input[type=checkbox] + label {
    display: inline-block;
    margin: 0 0 .2em .2em;
    font-weight: normal;
}

fieldset {
    padding-block-start: 1em;
    max-width: 40rem;
}

.message {
    font-size: 1rem;
}

.message.error {
    color: var(--rood);
}

.contact-page {
    padding: 2rem;
}

body.ty-body {
	min-height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	background:  #f6f7f9;
}

.ty-card {
	background: var(--achtergrond);
	padding: 3rem;
	max-width: 32rem;
	width: 100%;
	border-radius: 1rem;
	box-shadow: 0 10px 30px oklch(0.3042 0 196.28);
	text-align: center;

    p {
        font-size: 1.5rem;
	    margin-block-end: 2rem;
    }
}


.ty-knop {
	display: inline-block;
	padding: .6rem 2rem;
	border-radius: 32px;
	background:  #f6f7f9;
	color: var(--achtergrond);
	text-decoration: none;
	font-weight: bold;

    &:hover {
        text-decoration: underline;
    }
}

.container--admin {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.header--admin {
    text-align: center;  
}

.messages--admin {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    max-width: 60rem;
    margin: 2rem auto;
}

.message--admin {
    border: 2px solid var(--rood);
    padding: 1rem 1.5rem;
    border-radius: 8px;
}

@media (min-width: 50em) {
    .contact-page {
        border: 2px solid black;
        padding: 2rem;
        border-radius: 16px;
        box-shadow: 0 10px 20px oklch(0.3042 0 196.28);
    }
}

